package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.OrgaoConcedente;
import com.rjconsultores.ventaboletos.entidad.Ruta;

public interface CalcularPeajeService {
	public List<Object> buscarCasetasPeajeWithinTramo(Ruta ruta,Integer[] listCasetaPeaje);
	public List<Ruta> buscarRutaWithCasetaPeajeFromOrgao(OrgaoConcedente oc);
	public int[] gerarSQLInserirPeajes(List<Ruta> lsRuta, OrgaoConcedente orgao, boolean usaICMS,Integer[] listCasetaPeaje) throws Exception;
}
